Skip to main content
GET
/
v1
/
markets
/
{market_id}
/
orderbook
/
history
Orderbook History
curl --request GET \
  --url https://api.arbiterapi.com/v1/markets/{market_id}/orderbook/history \
  --header 'X-API-Key: <api-key>'
{
  "market_id": "<string>",
  "snapshots": [
    {
      "market_id": "<string>",
      "bids": [
        {
          "price": 123,
          "size": 123,
          "platform": "polymarket"
        }
      ],
      "asks": [
        {
          "price": 123,
          "size": 123,
          "platform": "polymarket"
        }
      ],
      "spread": 123,
      "mid_price": 123,
      "timestamp_ms": 123,
      "bid_depth": 123,
      "ask_depth": 123
    }
  ],
  "cursor": "<string>",
  "has_more": false
}

Authorizations

X-API-Key
string
header
required

Path Parameters

market_id
string
required

Query Parameters

start_ts
integer | null

Start time (Unix seconds)

end_ts
integer | null

End time (Unix seconds)

limit
integer
default:100
Required range: 1 <= x <= 500
cursor
string | null

Pagination cursor (timestamp_ms)

Response

Successful Response

market_id
string
required
snapshots
OrderBookSnapshot · object[]
required
cursor
string | null
has_more
boolean
default:false